package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.excel.ExpenseSubsidyImportExcelVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ExpenseSubsidyPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ExpenseSubsidyRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ExpenseSubsidyDO;

import java.util.List;

/**
 * 长者长护险 Service 接口
 *
 * @author 管理员
 */
public interface ExpenseSubsidyService {


    Long createExpenseSubsidy(ExpenseSubsidyDO createReqVO);

    ExpenseSubsidyDO getExpenseSubsidy(Long id);

    void updateExpenseSubsidy(ExpenseSubsidyDO updateReqVO);

    ExpenseSubsidyRespVO getDetails(Long elderId, String month);

    PageResult<ExpenseSubsidyDO> getExpenseSubsidyPage(ExpenseSubsidyPageReqVO pageReqVO);

    void importExpenseSubsidy(List<ExpenseSubsidyImportExcelVO> list);

    void deleteExpenseSubsidy(Long id);
}